<template>
  <div class="account-information">
    <div class="space-y-5 p-6 pb-0">
      <h4>{{ $t("account_information") }}</h4>
      <ul class="form space-y-5 --text4">
        <li>
          <div class="w-1/4 text-align-middle">{{ $t("last_login") }}</div>
          <div class="w-3/4 break-words">{{ profile.LastLoginOn }}</div>
        </li>
        <li>
          <div class="w-1/4 text-align-middle">
            {{ $t("last_transaction") }}
          </div>
          <div class="w-3/4 break-words">{{ profile.LastTransactionOn }}</div>
        </li>
        <li>
          <div class="w-1/4 text-align-middle">
            {{ $t("password_expiry_on") }}
          </div>
          <div class="w-3/4 break-words">{{ profile.PasswordExpiryOn }}</div>
        </li>
      </ul>
    </div>
    <div class="space-y-5 p-6">
      <h4>{{ $t("profile") }}</h4>
      <ul class="form space-y-5 --text4">
        <li>
          <div class="w-1/4 text-align-middle">{{ $t("account") }}</div>
          <div class="w-3/4 break-words">{{ profile.Username }}</div>
        </li>
        <li>
          <div class="w-1/4 text-align-middle">{{ $t("country") }}</div>
          <div class="w-3/4 break-words">{{ profile.Country }}</div>
        </li>
        <li>
          <div class="w-1/4 text-align-middle">{{ $t("currency") }}</div>
          <div class="w-3/4 break-words">{{ profile.Currency }}</div>
        </li>
        <li>
          <div class="w-1/4 text-align-middle">{{ $t("mobile") }}</div>
          <div class="w-3/4 break-words">{{ profile.Mobile }}</div>
        </li>
        <li v-for="(property, index) in profileDetail" :key="index">
          <div class="w-1/4 text-align-middle">
            {{ $t(property.PropertyName) }}
          </div>
          <div class="w-3/4 break-words">{{ property.PropertyValue }}</div>
        </li>
        <template v-if="isCashPlayer">
          <li>
            <div class="w-1/4 text-align-middle">
              {{ $t("player_transfer_bank") }}
            </div>
            <div class="w-3/4 break-words">{{ profile.Bank }}</div>
          </li>
          <li>
            <div class="w-1/4 text-align-middle">
              {{ $t("player_payment_bank") }}
            </div>
            <div class="w-3/4 break-words">{{ profile.PaymentBank }}</div>
          </li>
        </template>
      </ul>
      <ul v-if="!timeZoneIsHidden" class="form space-y-5 --text4">
        <lazy-theme-common-desktop-account-preference />
      </ul>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  name: "Profile",
  setup() {
    const { profile, profileDetail, timeZoneIsHidden, isCashPlayer } =
      useAccountInformation();
    return {
      profile,
      profileDetail,
      timeZoneIsHidden,
      isCashPlayer,
    };
  },
});
</script>
<style scoped>
.account-information .form li {
  display: flex;
}
.account-information ul li > div:first-child {
  word-break: break-word;
  min-width: 117px;
}
</style>
